Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render
Class DefaultRendererConfigurator

    java.lang.Object
      org.apache.fop.render.AbstractRendererConfigurator
          org.apache.fop.render.PrintRendererConfigurator
              org.apache.fop.render.DefaultRendererConfigurator

All Implemented Interfaces:
  IFDocumentHandlerConfigurator

Direct Known Subclasses:
  Java2DRendererConfigurator, PDFRendererConfigurator, PSRendererConfigurator, TXTRendererConfigurator

    public class DefaultRendererConfigurator

extends PrintRendererConfigurator

This object represents the default renderer configurator and contains the methods for most the RendererConfigurators.

Field Summary

Fields inherited from class org.apache.fop.render.AbstractRendererConfigurator
`userAgent`

Constructor Summary
`DefaultRendererConfigurator(FOUserAgent userAgent, RendererConfig.RendererConfigParser rendererConfigParser)`

Method Summary
`protected java.util.List<FontCollection>` | `getDefaultFontCollection()`

Methods inherited from class org.apache.fop.render.PrintRendererConfigurator
`configure, configure, createCollectionFromFontList, createDefaultInstance, getCustomFontCollection, getRendererConfig, getRendererConfig, getRendererConfig, setupFontInfo`

Methods inherited from class org.apache.fop.render.AbstractRendererConfigurator
`getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultRendererConfigurator

    public DefaultRendererConfigurator(FOUserAgent userAgent,
                                       RendererConfig.RendererConfigParser rendererConfigParser)

Method Detail

### getDefaultFontCollection

    protected java.util.List<FontCollection> getDefaultFontCollection()

  Specified by:
    `getDefaultFontCollection` in class `PrintRendererConfigurator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.